/*
 * Blah.h
 *
 *  Created on: Sep 23, 2008
 *      Author: bloch
 *
 *      Modifications from previous version:
 *      The "getter" methods getX and getName don't change the Blah object they work on,
 *      and the compiler can take advantage of that fact if we tell it.  So we add the
 *      word "const" to the headers of both of those methods.
 *      Note that "const int getX()" would be a method named getX that operates on a Blah
 *      and returns a const int, while "int getX() const" is a method named getX that
 *      operates on a const Blah and returns an int.
 */

#ifndef BLAH_H_
#define BLAH_H_

#include <string>
using std::string;

class Blah {
private:
	int x;
	string name;
public:
	Blah();
	Blah(const Blah &oldBlah);
	virtual ~Blah();

	Blah(int xval) {
		this->x = xval;
	}


	int getX() const {
		return x;
	}

	string getName() const {
		return name;
	}
};

#endif /* BLAH_H_ */
