/*
 * testblah.cpp
 *
 *  Created on: Sep 23, 2008
 *      Author: bloch
 *
 *      Modifications from previous version:
 *      declared printBlah to take in a _const_ Blah, to make clear
 *      that it doesn't modify the Blah that it's printing.
 *      If you just make that change, you get compiler errors because
 *      printBlah is given a Blah object that mustn't be changed, but
 *      it calls getX() and getName(), which (as far as it knows) might
 *      try to change the Blah object.  So... (see notes on Blah.h).
 */

#include <iostream>
#include <string>
using namespace std;
#include "Blah.h"

void printBlah (string label, const Blah it);

int main ()
{
	Blah mine(7);
	Blah yours(mine);
	Blah his;

	printBlah ("mine", mine);
	printBlah ("yours", yours);
	printBlah ("his", his);
}


void printBlah (string label, const Blah it)
{
	cout << "Printing Blah " << label << ": x=" << it.getX()
		<< " and name=" << it.getName() << endl;
}
